var chapters = [
  { topic: "chapter", section: "1", title: "Introduction to Building Fusion Web Applications with Oracle ADF", anchor: "ADFFD101", file: "intro.htm" },
  { topic: "chapter", section: "2", title: "Introduction to the ADF Sample Application", anchor: "ADFFD121", file: "intro_tour.htm" },
  { topic: "chapter", section: "3", title: "Getting Started with ADF Business Components", anchor: "ADFFD123", file: "bcintro.htm" },
  { topic: "chapter", section: "4", title: "Creating a Business Domain Layer Using Entity Objects", anchor: "ADFFD158", file: "bcentities.htm" },
  { topic: "chapter", section: "5", title: "Defining SQL Queries Using View Objects", anchor: "ADFFD236", file: "bcquerying.htm" },
  { topic: "chapter", section: "6", title: "Defining Master-Detail Related View Objects", anchor: "ADFFD23692", file: "bcquerymasterdetail.htm" },
  { topic: "chapter", section: "7", title: "Defining Polymorphic View Objects", anchor: "ADFFD1164", file: "bcquerypoly.htm" },
  { topic: "chapter", section: "8", title: "Testing View Instance Queries", anchor: "ADFFD1547", file: "bcqueryresults.htm" },
  { topic: "chapter", section: "9", title: "Tuning View Object Performance", anchor: "ADFFD23742", file: "bcquerytune.htm" },
  { topic: "chapter", section: "10", title: "Working Programmatically with View Objects", anchor: "ADFFD23744", file: "bcqueryprog.htm" },
  { topic: "chapter", section: "11", title: "Defining Validation and Business Rules Declaratively", anchor: "ADFFD396", file: "bcvalidation.htm" },
  { topic: "chapter", section: "12", title: "Implementing Validation and Business Rules Programmatically", anchor: "ADFFD453", file: "bcrules.htm" },
  { topic: "chapter", section: "13", title: "Implementing Business Services with Application Modules", anchor: "ADFFD1491", file: "bcservices.htm" },
  { topic: "chapter", section: "14", title: "Sharing Application Module View Instances", anchor: "ADFFD1590", file: "bclookups.htm" },
  { topic: "chapter", section: "15", title: "Integrating Service-Enabled Application Modules", anchor: "ADFFD534", file: "bcextservices.htm" },
  { topic: "chapter", section: "16", title: "Extending Business Components Functionality", anchor: "ADFFD1025", file: "bcadvgen.htm" },
  { topic: "chapter", section: "17", title: "Using ADF Model in a Fusion Web Application", anchor: "ADFFD491", file: "bcdcpal.htm" },
  { topic: "chapter", section: "18", title: "Using Validation in the ADF Model Layer", anchor: "ADFFD22324", file: "validation_model.htm" },
  { topic: "chapter", section: "19", title: "Designing a Page Using Placeholder Data\u00A0Controls", anchor: "ADFFD1784", file: "placeholder_controls.htm" },
  { topic: "chapter", section: "20", title: "Getting Started with ADF Task Flows", anchor: "ADFFD1631", file: "taskflows.htm" },
  { topic: "chapter", section: "21", title: "Working with Task Flow Activities", anchor: "ADFFD1663", file: "taskflows_activities.htm" },
  { topic: "chapter", section: "22", title: "Using Parameters in Task Flows", anchor: "ADFFD1685", file: "taskflows_parameters.htm" },
  { topic: "chapter", section: "23", title: "Using Task Flows as Regions", anchor: "ADFFD1695", file: "taskflows_regions.htm" },
  { topic: "chapter", section: "24", title: "Creating Complex Task Flows", anchor: "ADFFD1708", file: "taskflows_complex.htm" },
  { topic: "chapter", section: "25", title: "Using Dialogs in Your Application", anchor: "ADFFD22097", file: "taskflows_dialogs.htm" },
  { topic: "chapter", section: "26", title: "Getting Started with Your Web Interface", anchor: "ADFFD559", file: "web_getstarted.htm" },
  { topic: "chapter", section: "27", title: "Understanding the Fusion Page Lifecycle", anchor: "ADFFD1392", file: "adf_lifecycle.htm" },
  { topic: "chapter", section: "28", title: "Creating a Basic Databound Page", anchor: "ADFFD690", file: "web_form.htm" },
  { topic: "chapter", section: "29", title: "Creating ADF Databound Tables", anchor: "ADFFD726", file: "web_tables_forms.htm" },
  { topic: "chapter", section: "30", title: "Using Command Components to Invoke Functionality in the View Layer", anchor: "ADFFD22330", file: "command_components.htm" },
  { topic: "chapter", section: "31", title: "Displaying Master-Detail Data", anchor: "ADFFD758", file: "web_masterdetail.htm" },
  { topic: "chapter", section: "32", title: "Creating Databound Selection Lists and Shuttles", anchor: "ADFFD781", file: "lists.htm" },
  { topic: "chapter", section: "33", title: "Creating ADF Databound Search Forms", anchor: "ADFFD809", file: "web_search_bc.htm" },
  { topic: "chapter", section: "34", title: "Using More Complex Databound ADF Faces Components", anchor: "ADFFD22331", file: "complex_components.htm" },
  { topic: "chapter", section: "35", title: "Creating Databound Graph and Gauge Components", anchor: "ADFFD793", file: "graphs_charts.htm" },
  { topic: "chapter", section: "36", title: "Creating Databound Pivot Table and Pivot Filter Bar Components", anchor: "ADFFD23506", file: "pivot_table.htm" },
  { topic: "chapter", section: "37", title: "Creating Databound Geographic and Thematic Map Components", anchor: "ADFFD23512", file: "geo_them.htm" },
  { topic: "chapter", section: "38", title: "Creating Databound Gantt Chart and Timeline Components", anchor: "ADFFD23547", file: "gantt_time.htm" },
  { topic: "chapter", section: "39", title: "Creating Databound Hierarchy Viewer, Treemap, and Sunburst Components", anchor: "ADFFD23559", file: "hv_tm.htm" },
  { topic: "chapter", section: "40", title: "Using Contextual Events", anchor: "ADFFD22333", file: "contextual_events.htm" },
  { topic: "chapter", section: "41", title: "Enabling ADF Security in a Fusion Web Application", anchor: "ADFFD877", file: "adding_security.htm" },
  { topic: "chapter", section: "42", title: "Testing and Debugging ADF Components", anchor: "ADFFD932", file: "web_testdebug.htm" },
  { topic: "chapter", section: "43", title: "Refactoring a Fusion Web Application", anchor: "ADFFD16310", file: "refactoring.htm" },
  { topic: "chapter", section: "44", title: "Reusing Application Components", anchor: "ADFFD1845", file: "reusing_components.htm" },
  { topic: "chapter", section: "45", title: "Customizing Applications with MDS", anchor: "ADFFD2077", file: "customize.htm" },
  { topic: "chapter", section: "46", title: "Allowing User Customizations at Runtime", anchor: "ADFFD2544", file: "ad_persist.htm" },
  { topic: "chapter", section: "47", title: "Using the Active Data Service", anchor: "ADFFD19611", file: "adv_ads.htm" },
  { topic: "chapter", section: "48", title: "Deploying Fusion Web Applications", anchor: "ADFFD1806", file: "deployment_topics.htm" },
  { topic: "chapter", section: "49", title: "Using State Management in a Fusion Web Application", anchor: "ADFFD1279", file: "bcstatemgmt.htm" },
  { topic: "chapter", section: "50", title: "Tuning Application Module Pools and Connection Pools", anchor: "ADFFD1333", file: "bcampool.htm" },
  { topic: "appendix", section: "A", title: "Oracle ADF XML Files", anchor: "ADFFD1417", file: "appendixa.htm" },
  { topic: "appendix", section: "B", title: "Oracle ADF Binding Properties", anchor: "ADFFD1444", file: "appendixb.htm" },
  { topic: "appendix", section: "C", title: "ADF Security Permission Grants", anchor: "ADFFD1452", file: "appendix_permissions.htm" },
  { topic: "appendix", section: "D", title: "Most Commonly Used ADF Business Components Methods", anchor: "ADFFD2452", file: "appendix_mostcommon.htm" },
  { topic: "appendix", section: "E", title: "ADF Business Components Java EE Design Pattern Catalog", anchor: "ADFFD1489", file: "appendix_designpat.htm" },
  { topic: "appendix", section: "F", title: "ADF Equivalents of Common Oracle Forms Triggers", anchor: "ADFFD1446", file: "appendix_formstriggers.htm" },
  { topic: "appendix", section: "G", title: "Performing Common Oracle Forms Tasks in Oracle ADF", anchor: "ADFFD1954", file: "appendix_formstoadf.htm" },
  { topic: "appendix", section: "H", title: "Deploying ADF Applications to GlassFish", anchor: "ADFFD23812", file: "appendix_glassfish.htm" },
  { topic: "glossary", section: "", title: "Glossary", anchor: "ADFFD21589", file: "gloss.htm" },
  { } ];
